Ruby 2.7.0p0(2019-12-25revision647ee6f091eafcce70ffb75ddf7e121e192ab217)

Data Fields
rb_io_t::rb_io_enc_t Struct Reference

`#include <io.h>`

## Data Fields
rb_encoding * | enc
rb_encoding * | enc2
int | ecflags
VALUE | ecopts

## Detailed Description

Definition at line 85 of file io.h.

## Field Documentation

## ◆ ecflags

int rb_io_t::rb_io_enc_t::ecflags

Definition at line 88 of file io.h.

## ◆ ecopts

VALUE rb_io_t::rb_io_enc_t::ecopts

Definition at line 89 of file io.h.

## ◆ enc

rb_encoding* rb_io_t::rb_io_enc_t::enc

Definition at line 86 of file io.h.

## ◆ enc2

rb_encoding* rb_io_t::rb_io_enc_t::enc2

Definition at line 87 of file io.h.

The documentation for this struct was generated from the following file:

- include/ruby/io.h